﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace AnalyticsGadget.Models
{
    public enum DimensionType
    {
        Browser,
        BrowserVersion,
        City,
        ConnectionSpeed,
        Continent,
        Country,
        Date,
        Day,
        DaysSinceLastVisit,
        FlashVersion,
        Hostname,
        Hour,
        JavaEnabled,
        Language,
        Latitude,
        Longitude,
        Month,
        NetworkDomain,
        NetworkLocation,
        PageDepth,
        OperatingSystem,
        OperatingSystemVersion,
        Region,
        ScreenColors,
        ScreenResolution,
        SubContinent,
        UserDefinedValue,
        VisitCount,
        VisitLength,
        VisitorType,
        Week,
        Year,
        AdContent,
        AdGroup,
        AdSlot,
        AdSlotPosition,
        Campaign,
        Keyword,
        Medium,
        ReferralPath,
        Source,
        ExitPagePath,
        LandingPagePath,
        PagePath,
        PageTitle,
        AecondPagePath,
        Affiliation,
        DaysToTransaction,
        ProductCategory,
        ProductName,
        ProductSku,
        TransactionId,
        VisitsToTransaction,
        SearchCategory,
        SearchDestinationPage,
        SearchKeyword,
        SearchKeywordRefinement,
        SearchStartPage,
        SearchUsed,
        NextPagePath,
        PreviousPagePath,
        EventCategory,
        EventAction,
        EventLabel
    }

    public enum MetricType
    {
        Bounces,
        Entrances,
        Exits,
        NewVisits,
        Pageviews,
        TimeOnPage,
        TimeOnSite,
        Visitors,
        Visits,
        AdClicks,
        AdCost,
        CPC,
        CPM,
        CTR,
        Impressions,
        UniquePageviews,
        ItemRevenue,
        ItemQuantity,
        TransactionRevenue,
        Transactions,
        TransactionShipping,
        TransactionTax,
        UniquePurchases,
        SearchDepth,
        SearchDuration,
        SearchExits,
        SearchRefinements,
        SearchUniques,
        SearchVisits,
        Goal1Completions,
        Goal2Completions,
        Goal3Completions,
        Goal4Completions,
        GoalCompletionsAll,
        Goal1Starts,
        Goal2Starts,
        Goal3Starts,
        Goal4Starts,
        GoalStartsAll,
        Goal1Value,
        Goal2Value,
        Goal3Value,
        Goal4Value,
        GoalValueAll,
        TotalEvents,
        UniqueEvents,
        EventValue
    }

    public enum SortDirection
    {
        Ascending,
        Descending
    }

    public enum Timespan
    { 
        Day,
        Week,
        Month,
        Year,
        //not supported yet
        //Custom
    }
}
