<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<AnalyticsGadget.Models.ReportModel>" %>
<%@ Import Namespace="AnalyticsGadget" %>
<%@ Import Namespace="AnalyticsGadget.Models" %>
<%@ Import Namespace="EPiServer.Shell.Extensions" %>
<%@ Import Namespace="EPiServer.Core" %>


<div class="epi-defaultPadding  epi-contentArea">
    
      <div class="epi-smallPadding">
        <img src="<%= ChartHelper.GetLinearUrl(Model.Report, 500, 250) %>" />
     </div>
     <div class="epi-smallPadding">
        <% Html.RenderPartial("Filter", Model); %>
    </div>

     <table class="epi-simple show-pointer">
        <thead>
            <tr>
                <th scope="col"><%= LanguageManager.Instance.Translate("/analyticsGadget/statisticsVisitors/time")%></th>
                <th scope="col"><%= LanguageManager.Instance.Translate("/analyticsGadget/statisticsVisitors/visits")%></th>
            </tr>            
        </thead>
        <tbody>
            <% foreach (var data in Model.Report.DataItems)
            { %>
            <tr>
                <td><%= data[data.Keys[0]]%></td>             
                <td><%= data.Value %></td>   
            </tr>
            <% } %> 
        </tbody>
    </table>

</div>